import { html as l } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, n = (a, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? u(r, i) : r, o = a.length - 1, p; o >= 0; o--)
    (p = a[o]) && (e = (t ? p(r, i, e) : p(e)) || e);
  return t && e && m(r, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--userPartnership", this.class = "c-pieIcon c-pieIcon--userPartnership", this.name = "IconUserPartnership";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--userPartnership"><path d="M12.865 7.597a2.424 2.424 0 1 0-2.091-.13 3.1 3.1 0 0 0-1.829 1.408L8 10.292l-.936-1.417a3.13 3.13 0 0 0-1.838-1.374 2.389 2.389 0 1 0-2.091.131 3.09 3.09 0 0 0-1.916 2.81v3.683H2.53V10.44a1.81 1.81 0 0 1 1.838-1.75 1.85 1.85 0 0 1 1.584.875L8 12.707l2.047-3.176a1.85 1.85 0 0 1 1.584-.875 1.81 1.81 0 0 1 1.838 1.75v3.719h1.312V10.44a3.09 3.09 0 0 0-1.916-2.844M4.063 4.281a1.094 1.094 0 1 1 0 2.188 1.094 1.094 0 0 1 0-2.188m7.875 0a1.094 1.094 0 1 1 0 2.188 1.094 1.094 0 0 1 0-2.188M4.718 11.5h1.313v2.625H4.72zm5.25 0h1.313v2.625H9.97z"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  f("icon-user-partnership")
], s);
export {
  s as IconUserPartnership
};
